Sign in

Not a member? | Forgot your Password?

Search motoroladsp

Search tips

Find us on Facebook!





Subscribe to motoroladsp

Search tips

Free PDF Downloads

A Quadrature Signals Tutorial: Complex, But Not Complicated

Understanding the 'Phasing Method' of Single Sideband Demodulation

Complex Digital Signal Processing in Telecommunications

Introduction to Sound Processing

C++ Tutorial

Introduction of C Programming for DSP Applications

Fixed-Point Arithmetic: An Introduction

Cascaded Integrator-Comb (CIC) Filter Introduction

Discussion Groups

FFT Spectral Analysis Software

See Also

Embedded SystemsFPGA

Discussion Groups | Freescale DSPs | CodeWarrior 5.1 and SDK 3.0

Technical discussions about Freescale (Motorola) DSPs (including the DSP56000, DSP56300, DSP56600, 56800 DSPs).

  

Post a new Thread



Is this thread worth a thumbs up?

0

CodeWarrior 5.1 and SDK 3.0 - vagenta - May 8 15:59:00 2003

Another example of the horrible support with CodeWarrior and
Motorola's SDK's.

If you are like me and were thrilled about the possible update to the
extremely buggy compiler and ide, you immediately followed the
previous posting links to only be able to order an eval CD, which
does not link to anything. There is not an option for downloading a
new copy.

Furthermore, you might note from the link below that the new DSP56800
SDK 3.0 is supported by CW 5.0, but upon installation you are
required to also uninstall SDK 2.5.

http://e-www.motorola.com/brdata/PDFDB/docs/DSP56800SDKPB.pdf

After uninstalling SDK 2.5, and then continuing SDK 3.0, you are
given another nasty message saying that the new SDK only works with
ver. Codewarrior 5.1! Digging further into the new SDK release notes
does it tell you this other requirement.

Metrowerks/Motorola - why can't you put this information UP FRONT on
your websites?







RE: CodeWarrior 5.1 and SDK 3.0 - Hutchings William-p23437 - May 8 20:51:00 2003

We regret that the SDK 3.0 product brief material is not correct in listing the
SDK 3.0 working with CodeWarrior 5.0. This was an oversight on our part. The SDK
version 3.0 was developed to operate with CodeWarrior v5.1release. The SDK web
page listed below has the correct information.

http://e-www.motorola.com/webapp/sps/site/prod_summary.jsp?code=MSW3SDK000AA
<http://e-www.motorola.com/webapp/sps/site/prod_summary.jsp?code=MSW3SDK000AA &pa\
rentCode=DSP56F805&nodeIdz6wYqRXz6292>
&parentCode=DSP56F805&nodeIdz6wYqRXz6292

Sorry any time you lost on this. Thanks.

- Bill

-----Original Message-----
From: vagenta [mailto:]
Sent: Thursday, May 08, 2003 8:59 AM
To:
Subject: [motoroladsp] CodeWarrior 5.1 and SDK 3.0 Another example of the horrible support with CodeWarrior and
Motorola's SDK's.

If you are like me and were thrilled about the possible update to the
extremely buggy compiler and ide, you immediately followed the
previous posting links to only be able to order an eval CD, which
does not link to anything. There is not an option for downloading a
new copy.

Furthermore, you might note from the link below that the new DSP56800
SDK 3.0 is supported by CW 5.0, but upon installation you are
required to also uninstall SDK 2.5.

http://e-www.motorola.com/brdata/PDFDB/docs/DSP56800SDKPB.pdf
<http://e-www.motorola.com/brdata/PDFDB/docs/DSP56800SDKPB.pdf>

After uninstalling SDK 2.5, and then continuing SDK 3.0, you are
given another nasty message saying that the new SDK only works with
ver. Codewarrior 5.1! Digging further into the new SDK release notes
does it tell you this other requirement.

Metrowerks/Motorola - why can't you put this information UP FRONT on
your websites?
Yahoo! Groups Sponsor

<http://rd.yahoo.com/M%1812.3170658.4537139.1261774/D=egroupweb/S05771855:H\
M/A64415/R=0/*http://www.netflix.com/Default?mqso`164784&partid170658>
<http://us.adserver.yahoo.com/l?M%1812.3170658.4537139.1261774/D=egroupmail/S =\
:HM/A64415/randv9593348>

_____________________________________
/groups.php3
<http://www.dsprelated.com/groups.php3 > .






CodeWarrior 5.1 and SDK 3.0 - MW Ron - May 8 21:28:00 2003

vagenta wrote:

> Another example of the horrible support with CodeWarrior and
> Motorola's SDK's.
>
> If you are like me and were thrilled about the possible update to the
> extremely buggy compiler and ide, you immediately followed the
> previous posting links to only be able to order an eval CD, which
> does not link to anything. There is not an option for downloading a
> new copy.

We looked into this and it appears that it is a incorrect link on our web
page it should take you do a page where you fill out a form for downloading
but instead it takes you to a download page. I apologize for this and we
are trying to fix this. > Furthermore, you might note from the link below that the new DSP56800
> SDK 3.0 is supported by CW 5.0, but upon installation you are
> required to also uninstall SDK 2.5.
>
> http://e-www.motorola.com/brdata/PDFDB/docs/DSP56800SDKPB.pdf
>
> After uninstalling SDK 2.5, and then continuing SDK 3.0, you are
> given another nasty message saying that the new SDK only works with
> ver. Codewarrior 5.1! Digging further into the new SDK release notes
> does it tell you this other requirement.

We have contacted Motorola The PDF incorrectly states that SDK 3.0 works
with CW 5.0. It should be 5.1

> Metrowerks/Motorola - why can't you put this information UP FRONT on
> your websites?

These were silly errors that should have been caught so I won't insult you
with any excuses. I just apologize and if you need help downloading the
right software please feel free to write directly to me.

I'll post the correct URL as soon as I have it.

Ron --
Get printed CodeWarrior Documentation (limited selection)
And all the latest versions of CodeWarrior Manuals

http://www.metrowerks.com/MW/Support/dev_resources/default.htm

Ron Liechty - - http://www.metrowerks.com







Re: CodeWarrior 5.1 and SDK 3.0 - MW Ron - May 8 23:35:00 2003

MW Ron wrote: > I'll post the correct URL as soon as I have it.
The product page has been renamed and relinked. The "request Eval CD" has
been changed to "download an evaluation of DSP56800" and links first to a
input form. This is a Demo that you can download it is not the full 5.1

http://www.metrowerks.com/MW/Develop/Embedded/DSP56800/Default.htm Ron
--
Get printed CodeWarrior Documentation (limited selection)
And all the latest versions of CodeWarrior Manuals

http://www.metrowerks.com/MW/Support/dev_resources/default.htm

Ron Liechty - - http://www.metrowerks.com







Re: CodeWarrior 5.1 and SDK 3.0 - vagenta - May 9 14:59:00 2003

Thanks Ron and everyone else at Metrowerks/Motorola that has been
working to fix this quickly.

I think you understand our frustrations well. Learning new products
like these in addition to taking on challenging projects can leave
developers 'mental' as we try and work out where our bugs overlap
with the tools.

We are very much looking forward to getting our hands on the next
version of your products.

Brian Thigpen
Baker Hughes --- In , MW Ron <mwron@m...> wrote:
> MW Ron wrote:
>
> >
> > I'll post the correct URL as soon as I have it.
> The product page has been renamed and relinked. The "request Eval
CD" has
> been changed to "download an evaluation of DSP56800" and links
first to a
> input form. This is a Demo that you can download it is not the
full 5.1
>
> http://www.metrowerks.com/MW/Develop/Embedded/DSP56800/Default.htm > Ron
> --
> Get printed CodeWarrior Documentation (limited selection)
> And all the latest versions of CodeWarrior Manuals
>
> http://www.metrowerks.com/MW/Support/dev_resources/default.htm
>
> Ron Liechty - MWRon@m... - http://www.metrowerks.com